Skip to main content
POST
Run a Record

Path Parameters

app_id
string
required

The ID of the app

collection_id
string
required

The ID of the collection

record_id
string
required

The ID of the record

Body

mode
enum<string>
required

Specifies which rules to run

Available options:
all,
changed
Example:

"changed"

Response

200 - application/json

Detailed information about a record

id
string
required

Unique identifier for the record

name
string | null
required

Name of the record

Example:

"Important Record"

status
enum<string>
required

Current status of the record

Available options:
DRAFT,
QUEUED,
RUNNING,
CANCELLED,
COMPLETED,
FAILED
Example:

"COMPLETED"

source
enum<string>
required

Source from which the record was created

Available options:
APP,
API,
TRIGGER,
WORKFLOW
Example:

"API"

rules_count
number
required

Total number of rules of this record

rules_pass_count
number
required

Number of passed rules

rules_fail_count
number
required

Number of failed rules

rules_warn_count
number
required

Number of rules with warnings

rules
object
required

Rules associated with this record

config
object
required

Configuration of the collection this record belongs to

collection_name
string
required

Name of the collection this record belongs to

collection_id
string
required

Unique identifier of the collection this record belongs to

Example:

"col_xxx"

created_by
object
required

User who created this record

Example:
entity
object | null
required

Entity associated with this record

tags
object[]
required

Tags associated with this record

created_at
string<date> | null
required

Timestamp when the record was created

updated_at
string<date> | null
required

Timestamp when the record was last updated

Link to the record in the UI

usage
object

Credit usage information of the record